#ifndef WORDMANAGER_H
#define WORDMANAGER_H
#include <string>
#include <set>

class WordManager {
    std::string secretWord;
    std::string displayedWord;
    std::set<char> guessedLetters;
    int difficultyLevel;

public:
    WordManager(int difficulty);
    bool checkLetter(char letter);
    std::string getDisplayedWord() const;
    bool isWordGuessed() const;
    void setDifficulty(int level);
};

#endif
